cURL
curl --request GET \
--url https://api.delaphonegh.com/v1/airtime/{referencecode} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.delaphonegh.com/v1/airtime/{referencecode}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.delaphonegh.com/v1/airtime/{referencecode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"message": "Airtime status retrieved successfully",
"data": [
{
"message_id": "<string>",
"status": "<string>",
"recipient_phone": "<string>",
"recipient_network": "<string>",
"date_created": "<string>",
"amount": "<string>"
}
]
}{
"error": {
"status": 123,
"title": "Invalid Request Value",
"detail": "<string>"
},
"success": false
}{
"error": {
"status": 401,
"title": "Authentication failed",
"detail": "<string>"
},
"success": false
}{
"error": {
"status": 403,
"title": "Insufficient permissions",
"detail": "<string>"
},
"success": false
}{
"error": {
"status": 404,
"title": "Not found",
"detail": "No airtime request found with reference: {reference}"
},
"success": false
}{
"error": {
"status": 500,
"title": "Internal server error",
"detail": "We could not fulfil your request. Kindly try again in a few moments"
},
"success": false
}Endpoint Examples
Get Airtime Status
Retrieve the purchase history of airtime with a reference code.
GET
/
v1
/
airtime
/
{referencecode}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Reference code for the airtime transaction.
Response
Airtime status successfully
⌘I
